Package org.springframework.security.web.webauthn.api

# Class AttestationConveyancePreference

java.lang.Object
org.springframework.security.web.webauthn.api.AttestationConveyancePreference

public final class AttestationConveyancePreference extends Object
WebAuthn Relying Parties may use AttestationConveyancePreference to specify their preference regarding attestation conveyance during credential generation.

Since:
  6.4

## Field Summary

Fields
Modifier and Type
Field
Description
`static final AttestationConveyancePreference`
`DIRECT`
The direct preference indicates that the Relying Party wants to receive the attestation statement as generated by the authenticator.
`static final AttestationConveyancePreference`
`ENTERPRISE`
The enterprise preference indicates that the Relying Party wants to receive an attestation statement that may include uniquely identifying information.
`static final AttestationConveyancePreference`
`INDIRECT`
The indirect preference indicates that the Relying Party wants to receive a verifiable attestation statement, but allows the client to decide how to obtain such an attestation statement.
`static final AttestationConveyancePreference`
`NONE`
The none preference indicates that the Relying Party is not interested in authenticator attestation.

## Method Summary

Modifier and Type
Method
Description
`String`
`getValue()`
Gets the String value of the preference.
`static AttestationConveyancePreference`
`valueOf(String value)`
Gets an instance of `AttestationConveyancePreference`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NONE

public static final AttestationConveyancePreference NONE
The none preference indicates that the Relying Party is not interested in authenticator attestation.

### INDIRECT

public static final AttestationConveyancePreference INDIRECT
The indirect preference indicates that the Relying Party wants to receive a verifiable attestation statement, but allows the client to decide how to obtain such an attestation statement.

### DIRECT

public static final AttestationConveyancePreference DIRECT
The direct preference indicates that the Relying Party wants to receive the attestation statement as generated by the authenticator.

### ENTERPRISE

public static final AttestationConveyancePreference ENTERPRISE
The enterprise preference indicates that the Relying Party wants to receive an attestation statement that may include uniquely identifying information.

## Method Details

### getValue

public String getValue()
Gets the String value of the preference.

Returns:
  the String value of the preference.

### valueOf

public static AttestationConveyancePreference valueOf(String value)
Gets an instance of `AttestationConveyancePreference`

Parameters:
  `value` - the `getValue()`
Returns:
  an `AttestationConveyancePreference`